Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1882576 - [abrt] dbus-broker: epoll_wait(): dbus-broker killed by SIGABRT
Summary: [abrt] dbus-broker: epoll_wait(): dbus-broker killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dbus-broker
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Gundersen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a1072c023bb588e96dd82a105ba...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-25 03:08 UTC by robert fairbrother
Modified: 2020-11-24 18:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 18:48:29 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (12.03 KB, text/plain)
2020-09-25 03:08 UTC, robert fairbrother
no flags Details
File: core_backtrace (1.58 KB, text/plain)
2020-09-25 03:08 UTC, robert fairbrother
no flags Details
File: cpuinfo (1.83 KB, text/plain)
2020-09-25 03:08 UTC, robert fairbrother
no flags Details
File: dso_list (931 bytes, text/plain)
2020-09-25 03:08 UTC, robert fairbrother
no flags Details
File: environ (1.91 KB, text/plain)
2020-09-25 03:08 UTC, robert fairbrother
no flags Details
File: limits (1.29 KB, text/plain)
2020-09-25 03:08 UTC, robert fairbrother
no flags Details
File: maps (6.36 KB, text/plain)
2020-09-25 03:08 UTC, robert fairbrother
no flags Details
File: mountinfo (2.46 KB, text/plain)
2020-09-25 03:08 UTC, robert fairbrother
no flags Details
File: open_fds (2.98 KB, text/plain)
2020-09-25 03:08 UTC, robert fairbrother
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2020-09-25 03:08 UTC, robert fairbrother
no flags Details

Description robert fairbrother 2020-09-25 03:08:25 UTC
Description of problem:
my laptop keeps freezing then i cant boot it up again. i have to use a live usb disk and repair the filesystem with gnome-disks

Version-Release number of selected component:
dbus-broker-21-6.fc31

Additional info:
reporter:       libreport-2.13.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/at-spi-dbus-bus.service
cmdline:        dbus-broker --log 4 --controller 9 --machine-id 35ce8066adf64f9894b211ef0e825516 --max-bytes 100000000000000 --max-fds 6400000 --max-matches 5000000000
crash_function: epoll_wait
executable:     /usr/bin/dbus-broker
journald_cursor: s=ce59071584104036a6ad329937b31b91;i=2a0a4;b=19b5c32c50bc46a9a7b3a307b8089271;m=e3f9b62ad6;t=5ae82b9556c94;x=ecee985c3644bfe2
kernel:         5.7.15-100.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 epoll_wait at ../sysdeps/unix/sysv/linux/epoll_wait.c:30
 #1 dispatch_context_poll at ../src/util/dispatch.c:279
 #2 dispatch_context_dispatch at ../subprojects/c-list/src/c-list.h:83
 #3 broker_run at ../src/broker/broker.c:205
 #4 run at ../src/broker/main.c:242

Comment 1 robert fairbrother 2020-09-25 03:08:29 UTC
Created attachment 1716485 [details]
File: backtrace

Comment 2 robert fairbrother 2020-09-25 03:08:30 UTC
Created attachment 1716486 [details]
File: core_backtrace

Comment 3 robert fairbrother 2020-09-25 03:08:31 UTC
Created attachment 1716487 [details]
File: cpuinfo

Comment 4 robert fairbrother 2020-09-25 03:08:32 UTC
Created attachment 1716488 [details]
File: dso_list

Comment 5 robert fairbrother 2020-09-25 03:08:33 UTC
Created attachment 1716489 [details]
File: environ

Comment 6 robert fairbrother 2020-09-25 03:08:33 UTC
Created attachment 1716490 [details]
File: limits

Comment 7 robert fairbrother 2020-09-25 03:08:34 UTC
Created attachment 1716491 [details]
File: maps

Comment 8 robert fairbrother 2020-09-25 03:08:35 UTC
Created attachment 1716492 [details]
File: mountinfo

Comment 9 robert fairbrother 2020-09-25 03:08:37 UTC
Created attachment 1716493 [details]
File: open_fds

Comment 10 robert fairbrother 2020-09-25 03:08:38 UTC
Created attachment 1716494 [details]
File: proc_pid_status

Comment 11 David Rheinsberg 2020-09-30 06:48:10 UTC
This is weird. Nothing should send `SIGABRT` to dbus-broker. There are watchdog-implementations which do that, but usually they are not configured for dbus-broker. Did you adjust systemd watchdogs manually?

Regardless, it is very common for broken filesystems to cause long hangs in the kernel, thus triggering watchdogs all over the place and then killing processes via SIGABRT. Fixing your filesystem is your best option there.

Comment 12 robert fairbrother 2020-10-17 01:05:58 UTC
Similar problem has been detected:

may be related to https://bugzilla.redhat.com/show_bug.cgi?id=1880639

reporter:       libreport-2.13.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/at-spi-dbus-bus.service
cmdline:        dbus-broker --log 4 --controller 9 --machine-id 35ce8066adf64f9894b211ef0e825516 --max-bytes 100000000000000 --max-fds 6400000 --max-matches 5000000000
crash_function: epoll_wait
executable:     /usr/bin/dbus-broker
journald_cursor: s=2c413e762bf64ca8a7cef5edd3532cd4;i=6ec03;b=a49cb0e4b28c438a83a74591e09468b6;m=249d2ed83;t=5b1d320c2092b;x=3822967a210994ec
kernel:         5.8.15-101.fc31.x86_64
package:        dbus-broker-21-6.fc31
reason:         dbus-broker killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Ben Cotton 2020-11-03 16:45:34 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2020-11-24 18:48:29 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.